# MPI_Pcontrol

Controls profiling

## Synopsis

    #include "mpi.h"
    int MPI_Pcontrol( int level )

## Input Parameters

level
  Profiling level

## Notes

This routine provides a common interface for profiling control. The interpretation of `level` and any other arguments is left to the profiling library.

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

Location:pcontrol.c